gstreamermm: Gst::PluginError Class Reference

gstreamermm 1.10.0

Public Types | Public Member Functions | List of all members
Gst::PluginError Class Reference

The plugin loading errors. More...

`#include <gstreamermm/plugin.h>`

Inheritance diagram for Gst::PluginError:
[legend]

## Public Types
enum | Code { MODULE, DEPENDENCIES, NAME_MISMATCH }

## Public Member Functions
| PluginError (Code error_code, const Glib::ustring& error_message)
| PluginError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

The plugin loading errors.

- MODULE - The plugin could not be loaded
- DEPENDENCIES - The plugin has unresolved dependencies
- NAME_MISMATCH - The plugin has already be loaded from a different file

## Member Enumeration Documentation

## ◆ Code

enum Gst::PluginError::Code

The plugin loading errors

Enumerator
MODULE | The plugin could not be loaded.
DEPENDENCIES | The plugin has unresolved dependencies.
NAME_MISMATCH | The plugin has already be loaded from a different file.

## Constructor & Destructor Documentation

## ◆ PluginError() [1/2]

Gst::PluginError::PluginError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ PluginError() [2/2]

Gst::PluginError::PluginError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gst::PluginError::code | ( |  | ) | const